

function getApplicationId(claster) {
    var appId = {"ru":"demo", "eu":"demo", "com":"demo"};
    return appId[claster]
}

function json_merge_recursive(json1, json2){
    var out = {};
    for(var k1 in json1){
        if (json1.hasOwnProperty(k1)) out[k1] = json1[k1];
    }
    for(var k2 in json2){
        if (json2.hasOwnProperty(k2)) {
            if(!out.hasOwnProperty(k2)) out[k2] = json2[k2];
            else if(
                (typeof out[k2] === 'object') && (out[k2].constructor === Object) &&
                (typeof json2[k2] === 'object') && (json2[k2].constructor === Object)
            ) out[k2] = json_merge_recursive(out[k2], json2[k2]);
        }
    }
    return out;
}

function httpRequest(url, callback) {
    var request = new XMLHttpRequest();
    request.onreadystatechange = function() {
                if (request.readyState == 4) {
                    if (request.status == 200) {
                        var a = request.responseText;
//                        console.log(a)
                        var b = JSON.parse(a)
                        if (b.status === "ok") {
                            if(b.data) {
                                callback(b.data);
                            } else
                            {
                                callback("error");
                            }
                        }
                    }
                    else
                    {
                        callback("error");
                    }
                }
            }
    request.open("GET", url);
    request.send();
    console.log("Send request:", url);
}

function httpRequest3Args(url, callback, addidtional) {
    var request = new XMLHttpRequest();
    request.onreadystatechange = function() {
                if (request.readyState == 4) {
                    if (request.status == 200) {
                        var a = request.responseText;
//                        console.log(a)
                        var b = JSON.parse(a)
                        if (b.status === "ok") {
                            callback(b.data, addidtional);
                        }
                    }
                    else
                    {
                        callback("error");
                    }
                }
            }
    request.open("GET", url);
    request.send();
    console.log("Send request:", url);
}
